Skip to main content
GET
/
api
/
v1
/
gps_details
/
all
/
paginated
Obtener GPS paginados con filtros (offset-based, legacy)
curl --request GET \
  --url https://api.raul.ugps.io/api/v1/gps_details/all/paginated \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.raul.ugps.io/api/v1/gps_details/all/paginated"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.raul.ugps.io/api/v1/gps_details/all/paginated', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "gps_details_id": "<string>",
      "gps_name": {},
      "imei": {},
      "number_phone": {},
      "gps_model_id": {},
      "gps_model_name": {},
      "sim_deta_id": {},
      "gps_inventory_id": {},
      "gps_inventory_name": {},
      "gps_platform_name": {},
      "assigned_name": {},
      "assigned_id": {},
      "operator_name": {},
      "gps_status_id": {},
      "gps_status_name": {},
      "updated_at": {}
    }
  ],
  "pagination": {
    "total": 150,
    "page": 1,
    "limit": 50,
    "totalPages": 3,
    "hasNext": true
  }
}

Authorizations

Authorization
string
header
required

Bearer token authentication

Query Parameters

page
number
default:1
Required range: x >= 1
limit
number
default:50
Required range: 1 <= x <= 100
sort
string
default:updated_at
order
enum<string>
default:desc
Available options:
asc,
desc
status_id
number

Filter by GPS status ID

platform_id
number

Filter by GPS platform ID

client_id
string

Filter by client ID

inventory_id
number

Filter by GPS inventory ID

Search in IMEI or GPS name

Response

200 - application/json

Lista paginada de GPS

data
object[]
required

Lista de GPS

pagination
object
required

Información de paginación

Example:
{
"total": 150,
"page": 1,
"limit": 50,
"totalPages": 3,
"hasNext": true
}